﻿@model PROJETMODELE.Models.VML.TP.InventaireVM
@{
    Layout = null;
    int type = Model.Type;
}
<input id="RedirectUrl" value="/Inventaire/Index_Detail/@type;" type="hidden" />
<script src="~/Scripts/AjouterJS.js"></script>
<div id="formulaire" style="width:390px">
    <div>Ajout</div>
  <div class="forms">
            @using (Html.BeginForm()) {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
                @Html.HiddenFor(model=>model.Type)
            <table>
               
                
                <tr> 
                     <td style="vertical-align:top"> @Html.LabelFor(model => model.Motif)</td>
                     <td>  @Html.TextAreaFor(model => model.Motif)</td>
                </tr> 
                             
             </table>
               <br/>
           <p >
             <button title="Valider"  type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i>Valider</button>
            <button title="Annuler"  type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i>Annuler</button>
        </p>
            }
</div>
</div> 
<script>
    $('#formulaire').jqxValidator({
        rules: [
            
            { input: '#Motif', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Motif', message: 'Ce champs doit contenir entre 1 et 500 caractères!', action: 'keyup, blur', rule: 'length=1,500' },
           
        ],
    });
    $("#Motif").jqxInput({ placeHolder: "Motif de l'inventaire ... ", height: 50, width: 280, theme: "ui-redmond" });
   
  </script>